import djclick as click

from vbv_lernwelt.course.consts import COURSE_MOTORFAHRZEUG_PRUEFUNG_ID
from vbv_lernwelt.course.management.commands.create_default_courses import (
    create_motorfahrzeug_pruefung_course,
)
from vbv_lernwelt.course.models import Course

ADMIN_EMAILS = ["info@iterativ.ch", "admin"]


@click.command()
def command():
    print(
        "Creating Motorfahrzeug Vermittler Prüfung course",
        COURSE_MOTORFAHRZEUG_PRUEFUNG_ID,
    )

    if Course.objects.filter(id=COURSE_MOTORFAHRZEUG_PRUEFUNG_ID).exists():
        print("Course already exists, skipping")
        return

    create_motorfahrzeug_pruefung_course()
